#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - device-mapper installation
#
# Creation   :  2018-07-14 holbru
# Last update:  $Id: install.sh 103071 2023-05-23 16:23:29Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=device-mapper

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu            \
        setup.system.filesystems.menu       \
        setup.system.filesystems.${package_name}.menu \
        "LVM2 - Device Mapper"

# ---------------------------------------------------------------------------
# Create config
# ---------------------------------------------------------------------------
if [ -f /etc/config.d/${package_name} ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh
/usr/bin/rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start package with update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
