#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - device-mapper preinstallation
#
# Creation   :  2018-07-14 holbru
# Last update:  $Id: preinstall.sh 103071 2023-05-23 16:23:29Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=device-mapper

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check ${package_name})

if [ "${installed}" = "installed" ]
then
    if [ ! -f /var/install/deinstall/${package_name} ]
    then
        if [ "$(/usr/bin/systemctl is-active dm-event.socket)" = "active" ]
        then
            /usr/sbin/service --quiet stop dm-event.socket
            /usr/sbin/service daemon-reload
        fi
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
