#!/bin/sh
#----------------------------------------------------------------------------
# /var/install/config.d/device-mapper.sh
#
# Creation:     2023-05-23 hbfl
# Last Update:  $Id: device-mapper.sh 103071 2023-05-23 16:23:29Z hbfl $
#
# Copyright (c) 2019-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

package_name='device-mapper'

# set config file
config_file="/etc/config.d/${package_name}"
. ${config_file}

VERSION=3.4.1

#---------------------------------------------------------------------------
# start
#---------------------------------------------------------------------------
start_device_mapper()
{
    /usr/sbin/service daemon-reload

    if [ "${DEVICE_MAPPER_EVENT}" != "no" ]
    then
        /usr/sbin/service enable dm-event.socket
        /usr/sbin/service start dm-event.socket
    else
        /usr/sbin/service stop dm-event.socket
        /usr/sbin/service disable dm-event.socket
    fi
}

#---------------------------------------------------------------------------
# stop
#---------------------------------------------------------------------------
stop_device_mapper()
{
    /usr/sbin/service stop dm-event.socket
    /usr/sbin/service disable dm-event.socket
    /usr/sbin/service daemon-reload
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

    case ${START_DEVICE_MAPPER} in
    yes)
        start_device_mapper
        ;;
    no)
        stop_device_mapper
        ;;
    esac

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
